//
//  CPMethodLogger.h
//  CPCore
//
//  Created by Brad Miller on 10/9/09.
//  Copyright 2009 Cynical Peak Software, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CPMethodLogger : NSObject 
{
	NSString *methodSig;
	NSString *message;
	NSTimeInterval timer;
}

@property (retain, nonatomic) NSString * methodSig;
@property (retain, nonatomic) NSString * message;

-(id)initWithMethodSignature:(const char *)inMethodSig format:(NSString*)format, ...;
-(id)initWithTimedMethodSignature:(const char *)inMethodSig format:(NSString*)format, ...;

@end

extern void $kb_scopeReleaseObject( id *scopeReleasedObject );

#define KBScopeReleased __attribute__((cleanup($kb_scopeReleaseObject)))

